<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 867X685', 'Luzuk' ),
        )
    )
);


lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_bgClr', 'slider_section', 'Slider BG Color', '#DFDABA');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Slider Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_SubtitleClr', 'slider_section', 'Slider Sub Title Color', '#000');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#DDA759');

addColorPalatOption($wp_customize, 'slider_Buttonihv', 'slider_section', 'Button BG Hover Color', '#000');

lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Buttton Colors ');

addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Button BG Color', '#DDA759');

addColorPalatOption($wp_customize, 'sli_btnarowclr', 'slider_section', 'Slider Button Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Button Arrow Hover Color', '#000');

lzCustomLable($wp_customize, 'slider_img', 'slider_section' , 'Slider Image');

$wp_customize->add_setting(
    'slider_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'slider_image',
        array(
            'section' => 'slider_section',
            'settings' => 'slider_image',
            'description' => __('Recommended Image Size: 275X308', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'slider_imgdisplay', 'slider_section' , 'Top Image Setting');

// to show & hide another button
$wp_customize->add_setting( 'slider_img_display' , array( 'default' => 'show', 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'slider_img_display', array( 'label' => 'Image Display', 'section' => 'slider_section', 'settings' => 'slider_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 